cURL
curl --request GET \
--url https://api.helohq.com/domains/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Domains;
var domainWithDns = await helo.Domains.Retrieve("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Domains.retrieve(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
domain_with_dns = client.domains.retrieve("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Domains.Retrieve(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.domains.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
);{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"verified": true,
"dnsRecords": {
"domainKeyActive": {
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"domainKeyPending": {
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"returnPath": [
{
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
}
]
},
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deliveryType": "live",
"deleted": true
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Domains
Retrieve a domain
Gets detailed information about a specific domain, including verification status and configuration.
GET
/
domains
/
{id}
cURL
curl --request GET \
--url https://api.helohq.com/domains/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Domains;
var domainWithDns = await helo.Domains.Retrieve("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Domains.retrieve(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
domain_with_dns = client.domains.retrieve("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Domains.Retrieve(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.domains.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
);{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"verified": true,
"dnsRecords": {
"domainKeyActive": {
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"domainKeyPending": {
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"returnPath": [
{
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
}
]
},
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deliveryType": "live",
"deleted": true
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.